## BUILD SPECIES SPECIFIC REPEATS

```mermaid
flowchart TD
    classDef parameters fill:#f96;
    p0((pseudomolecules))
    p1((all\nEvidences))
    p2((all\nTranscripts\nConf))
    p3((Non\nCanonical\nConf))
    p4{Distribute}
    p5{Distribute}
    p258[EGNPCORE_BuildEGNEukParameterFileFW]
    p262[EGNPCORE_BuildEGNEukParameterFileRV]
    p266[EUGENE_runFW]
    p270[EUGENE_runRV]
    p1 --> p4 --> p262 --> p270 --> p273
    p0 --> p266 
    p0 --> p270 
    p2 --> p4 --> p258 --> p266 --> p273
    p3 --> p4
    p273[BIOFILECONVERTER_sortGff3]
    p275[BIOFILECONVERTER_gff2fasta]
    p282[EGNPCORE_ConcatFastaProt0]
    p284[LIPMUTILS_fastaFilterMinLen]
    p287[LIPMUTILS_splitSingleDB]
    p289((Dfam))
    p293[BLAST_makeblastdbDfam]
    p290((TransposonsPSI\nDB))
    p298[BLAST_makeblastdbTransposons]
    p273 --> p275 --> p282 --> p284 --> p287 
    p302[BLAST_extractRepeatDomain]
    p305[EGNPCORE_ConcatFasta]
    p309[EGNPCORE_ConcatFastaAll]
    p310[LIPMUTILS_nrRename]
    p311[CDHIT_speciesRepeats]
    p312[BLASTX_index]
    p287 --> p5 --> p302:::parameters
    p289 --> p293 --> p302:::parameters
    p290 --> p298 --> p302:::parameters
    p290 --> p309
    p302 --> p305 --> p309 --> p310 --> p311:::parameters --> p312 --> p314
    p311 --> p313
    p313((Repeats))
    p314((Repeats\nIndex))
```

Parameters:

```java
//SPECIES SPECIFIC REPEATS
use_repbase = false
prg_remove_repbase_blastparam = ''
prg_extract_repeat_domain_min_scov   =  80
prg_extract_repeat_domain_blastparam = ''
prg_extract_repeat_domain_batchsize = 1000
//Annotation V0 filter
repeat_min_length = 200
cdhit_repeat_identity = 0.7
cdhit_repeat_span = 0.8
//Allocated memory (in Mb)
cdhit_memory = 1024
```
