nextflow.enable.dsl=2


process CDHIT_speciesRepeats {

    label 'process_high'
    
    input:
    path(infile)
    
	output:
    path("${infile.baseName}.cdhit.fasta")
    
    script:
    """
    cd-hit -M ${params.cdhit_memory} -T ${task.cpus} -c ${params.cdhit_repeat_identity} -s ${params.cdhit_repeat_span} -i ${infile} -o ${infile.baseName}.cdhit.fasta
    """
}

process CDHIT_trainingCDS {

    label 'process_high'
    
    input:
    path(infile)
    
	output:
    path("${infile.baseName}.cdhit.fasta")
    
    script:
    """
    cd-hit-est -M ${params.cdhit_memory} -T ${task.cpus} -c ${params.cdhit_cds_identity} -s ${params.cdhit_cds_span} -i ${infile} -o ${infile.baseName}.cdhit.fasta
    """
}

process CDHIT_softwareInfo {
	output:
	path("cdhit.software_info.tsv")

	script:
	"""
	software_info > cdhit.software_info.tsv
	"""
}
