nextflow.enable.dsl=2

process GENOMETOOLS_ltrharvest {
    tag("${sequence.baseName}")
    label "process_low"
  
    input:
    path(sequence)

    output:
    tuple val(sequence.baseName), path("${sequence.baseName}.${source}.gff3") optional true
    
    script:
    source = 'ltrharvest'

    """
    get_LTRharvest.pl  --cpu ${task.cpus} --sequence \$PWD/${sequence} --outfile \$PWD/${sequence.baseName}.${source}.gff3 --workingdir \$PWD
    [ -s ${sequence.baseName}.${source}.gff3 ] && sed -i 's/?/+/' ${sequence.baseName}.${source}.gff3 || echo "##gff-version 3" > ${sequence.baseName}.${source}.gff3
    """
}

process GENOMETOOLS_sortGff3 {
    tag("${seqid}")
	
	input:
	tuple val (seqid), val(source), path(infile)

	output:
	tuple val (seqid), path("${seqid}.${source}.gff3")

	script:
    """
    gt gff3 -sort -retainids ${infile} > ${seqid}.${source}.gff3
    [ -s ${seqid}.${source}.gff3 ] && touch  ${seqid}.${source}.gff3|| echo "##gff-version 3" >  ${seqid}.${source}.gff3
    """
}

process GENOMETOOLS_softwareInfo {
	output:
	path("genometools.software_info.tsv")

	script:
	"""
	software_info > genometools.software_info.tsv
	"""
}