nextflow.enable.dsl=2

process INFERNAL_rfamscan {
    label "process_medium"
    tag("${sequence.baseName}")
    
    input:
    path(sequence)
    val(kingdom)

    output:
    tuple val(sequence.baseName), path("${sequence.baseName}.${source}.gff3")  optional true
    
    script:

    if (kingdom == 'eukaryote')
    {
        kingdom = 'eukarya'
    }

    source = 'rfamscan'

    """
    get_Rfam.pl --cpu ${task.cpus} --kingdom ${kingdom} --fasta_file \$PWD/${sequence} --output_file \$PWD/${sequence.baseName}.${source}.gff3 --working_dir \$PWD
    [ -s ${sequence.baseName}.${source}.gff3 ] && touch ${sequence.baseName}.${source}.gff3 || echo "##gff-version 3" > ${sequence.baseName}.${source}.gff3
    """
}

process INFERNAL_softwareInfo {
	output:
	path("infernal.software_info.tsv")

	script:
	"""
	software_info > infernal.software_info.tsv
	"""
}