nextflow.enable.dsl=2

process TRNASCANSE_trnascanSE {
    tag("${sequence.baseName}")

    input:
    path(sequence)
    val(kingdom)

    output:
    tuple val(sequence.baseName), path("${sequence.baseName}.${source}.gff3")  optional true
    
    script:
    source = 'trnascan'
    """
    get_tRNAscanSE.pl --cpu ${task.cpus} --kingdom ${kingdom} --sequence \$PWD/${sequence} --outfile \$PWD/${sequence.baseName}.${source}.gff3 --workingdir \$PWD
    [ -s ${sequence.baseName}.${source}.gff3 ] && touch ${sequence.baseName}.${source}.gff3 || echo "##gff-version 3" > ${sequence.baseName}.${source}.gff3
    """
}

process TRNASCANSE_softwareInfo {
	output:
	path("trnascanse.software_info.tsv")

	script:
	"""
	software_info > trnascanse.software_info.tsv
	"""
}