nextflow.enable.dsl=2

include { RED_scan } from '../software/red/main.nf'
include { EGNPCORE_justPublish }  from '../software/egnpcore/main.nf'
include { LIPMUTILS_bedToGff3;LIPMUTILS_splitBed }  from '../software/lipmutils/main.nf'
include { BEDTOOLS_mergeBed;BEDTOOLS_minLengthFilter }  from '../software/bedtools/main.nf'


workflow red {
	take: 
	completeGenome
	inputSequences

	main:
		redBED = RED_scan(completeGenome)
		mergedRedBed = BEDTOOLS_mergeBed(redBED, params.red_mergingdistance)
		filteredRedBed = BEDTOOLS_minLengthFilter(mergedRedBed, params.red_minlen)
		splittedBed = LIPMUTILS_splitBed(filteredRedBed,completeGenome)
		bedTuples = splittedBed.flatten().map{ 
			n -> {
					splitfile = n
					basename = splitfile.baseName.split("\\.")
					seqid = basename[0]
					tuple(seqid, splitfile)
				}
		}
		outFilesTuples = LIPMUTILS_bedToGff3('red','repeat_region',bedTuples)
		if (params.publish_workdir)
		{
			files = EGNPCORE_justPublish(outFilesTuples)
			ok = files.collect()
		}
	emit: outFilesTuples
}
