nextflow.enable.dsl=2

include { BARRNAP_softwareInfo } from '../software/barrnap/main.nf'
include { BEDTOOLS_softwareInfo } from '../software/bedtools/main.nf'
include { CDHIT_softwareInfo } from '../software/cdhit/main.nf'
include { GMAP_softwareInfo } from '../software/gmap/main.nf'
include { RED_softwareInfo } from '../software/red/main.nf'
include { GENOMETOOLS_softwareInfo } from '../software/genometools/main.nf'
include { INFERNAL_softwareInfo } from '../software/infernal/main.nf'
include { BLAST_softwareInfo } from '../software/blast/main.nf'
include { LIPMUTILS_softwareInfo } from '../software/lipmutils/main.nf'
include { TRNASCANSE_softwareInfo } from '../software/trnascanse/main.nf'
include { EUGENE_softwareInfo } from '../software/eugene/main.nf'
include { EGNPCORE_softwareInfo } from '../software/egnpcore/main.nf'
include { BIOFILECONVERTER_softwareInfo } from '../software/biofileconverter/main.nf'
include { BUSCO_softwareInfo } from '../software/busco/main.nf'


workflow software_info {

    main:
    infos = BARRNAP_softwareInfo()
    infos = infos.concat(BEDTOOLS_softwareInfo())

    infos = infos.concat(CDHIT_softwareInfo())
    infos = infos.concat(GMAP_softwareInfo())
    infos = infos.concat(RED_softwareInfo())
    infos = infos.concat(GENOMETOOLS_softwareInfo())
    infos = infos.concat(INFERNAL_softwareInfo())
    infos = infos.concat(BLAST_softwareInfo())
    infos = infos.concat(LIPMUTILS_softwareInfo())
    infos = infos.concat(TRNASCANSE_softwareInfo())
    infos = infos.concat(EUGENE_softwareInfo())
    infos = infos.concat(EGNPCORE_softwareInfo())
    infos = infos.concat(BIOFILECONVERTER_softwareInfo())
    infos = infos.concat(BUSCO_softwareInfo())

    mergeInfos(infos.collect())


}


process mergeInfos {

    publishDir("${params.tracedir}", mode: "copy")
    
    input:
    path(files)

    output:
    path("software_info.tsv")

    script:
    """
    (grep -h '^#' ${files} | sort -u; grep -h -v '^#' ${files} | sort -u) > software_info.tsv
    """
}